Bug 112629 - RPM hangs infinitley
Summary: RPM hangs infinitley
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rpm (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-24 23:10 UTC by Need Real Name
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-03 07:22:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-12-24 23:10:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; YComp 
5.0.0.0; .NET CLR 1.0.3705)

Description of problem:
When doing anything with RPM, it hangs. RPM will not respoind to 
Ctrl+C nor kill nor killall rpm. Eventually a server reboot is 
required to kill the process.

Version-Release number of selected component (if applicable):
rpm-

How reproducible:
Always

Steps to Reproduce:
1. type rpm, you can use any option

Actual Results:  RPm hung, and would not die in response to all kill 
signals

Expected Results:  RPM should have finished or died.

Additional info:

I'm running RedHat EL3 AS on a Compaq Proliant 850R. Everything else 
runs at the speed of light.

Comment 1 Jeff Johnson 2003-12-25 01:33:52 UTC
Try
    rm -f /var/lib/rpm/__db*
and repeat the command.

Does that fix?

Comment 2 Need Real Name 2004-01-02 18:15:20 UTC
RPM had become corrupt, so I reinstalled it with the Install Disks. 
Now it works fine.


Note You need to log in before you can comment on or make changes to this bug.